## org.red5.server.api.so
Interface ISharedObjectHandlerProvider

All Superinterfaces:
  IServiceHandlerProvider

All Known Subinterfaces:
  IClientSharedObject, ISharedObject, ISharedObjectBase

All Known Implementing Classes:
  ClientSharedObject, SharedObjectScope

    public interface ISharedObjectHandlerProvider

extends IServiceHandlerProvider

Supports registration and lookup of shared object handlers.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`void` `registerServiceHandler(Object handler)` Register an object that provides methods which handle calls without a service name to a shared object.
`void` `unregisterServiceHandler(String name)` Unregister the shared object handler for calls without a service name.

Methods inherited from interface org.red5.server.api.service.IServiceHandlerProvider
`getServiceHandler, getServiceHandlerNames, registerServiceHandler`

Method Detail

### registerServiceHandler

    void registerServiceHandler(Object handler)

  Register an object that provides methods which handle calls without a service name to a shared object.

  Parameters:
    `handler` - the handler object

### unregisterServiceHandler

    void unregisterServiceHandler(String name)

  Unregister the shared object handler for calls without a service name.

  Specified by:
    `unregisterServiceHandler` in interface `IServiceHandlerProvider`
  Parameters:
    `name` - the name of the handler

Copyright © 2006-2010 The Red5 Project